INTERFACE
SUBROUTINE AER_PHY2&
 & ( KIDIA, KFDIA, KLON , KTDIA , KLEV , KSTART , KSTEP, KTILES,&
 & KTRAC, KAERO, KSW ,&
 & PRS1 , PRSF1, PTP , PVERVEL, PCEN ,&
 & PALBF, PALBP, PALUVP,&
 & PAERDEP,PAERLTS,PAERSCC , PAERWS,PAERGUST, PAERUST,&
 & PBCBF, PBCFF, PBCGF, POMBF , POMFF , POMGF , PSO2L , PSO2H, PSOGF, PVOLC , PVOLE, PSOA,&
 & PCI , PFRTI, PLSM , PPHIS, PQP , PSNS ,&
 & PTL , PGELAM, PGEMU, PHSDFOR,&
 & PUP , PVP , PWSA1, PTSPHY ,&
 & PCFLX, PTENC,&
 & PAERDDP, PAERSDM, PAERSRC, PAERMAP, PAERFLX, PAERLIF&
 & ) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : NAERO, NACTAERO
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA, KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART, KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KSW
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KAERO(NAERO)
REAL(KIND=JPRB),INTENT(IN) :: PRS1(KLON,0:KLEV), PRSF1(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PTP(KLON,KLEV) , PVERVEL(KLON,KLEV)
REAL(KIND=JPRB),INTENT(INOUT) :: PCEN(KLON,KLEV,KTRAC)
REAL(KIND=JPRB),INTENT(IN) :: PALBF(KLON) , PALBP(KLON,KSW)
REAL(KIND=JPRB),INTENT(IN) :: PALUVP(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PAERDEP(KLON), PAERLTS(KLON), PAERSCC(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PAERWS(KLON) , PAERGUST(KLON), PAERUST(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PBCBF(KLON), PBCFF(KLON), PBCGF(KLON), POMBF(KLON), POMFF(KLON), POMGF(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PSO2L(KLON), PSO2H(KLON), PSOGF(KLON), PVOLC(KLON), PVOLE(KLON), PSOA(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PCI(KLON) , PFRTI(KLON,KTILES), PLSM(KLON), PPHIS(KLON), PSNS(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PGELAM(KLON), PGEMU(KLON), PHSDFOR(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PTL(KLON) , PQP(KLON,KLEV), PUP(KLON) , PVP(KLON) , PWSA1(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PTSPHY
REAL(KIND=JPRB),INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
REAL(KIND=JPRB),INTENT(OUT) :: PCFLX(KLON,KTRAC)
REAL(KIND=JPRB),INTENT(OUT) :: PAERDDP(KLON,NACTAERO), PAERSDM(KLON,NACTAERO), PAERSRC(KLON,NACTAERO)
REAL(KIND=JPRB),INTENT(OUT) :: PAERMAP(KLON,2)
REAL(KIND=JPRB),INTENT(OUT) :: PAERFLX(KLON,12,9), PAERLIF(KLON,9)
END SUBROUTINE AER_PHY2
END INTERFACE
